@ECHO OFF

REM the following lines reset EXITW.DAT and run Windows
COPY C:\WINDOWS\EXITW.NUL C:\WINDOWS\EXITW.DAT

CLS
C:\WINDOWS\WIN.COM

REM the following line parses the file created by ExitW and
REM modifies the environment variables or returns a DOS errorlevel
REM code.  It can also do both or neither of the above.
REM note that this example uses a data file contained in C:\WINDOWS

C:\WINDOWS\EXITWDOS.EXE C:\WINDOWS\EXITW.DAT
CLS

REM if the errorlevel code is 200 then just go to DOS
IF ERRORLEVEL 200 GOTO END

REM if the code is 90 then run Dinosaur
IF ERRORLEVEL 90 GOTO DINOSAUR

REM if the code is 80 then run Musician
IF ERRORLEVEL 80 GOTO MUSICIAN

REM if the code is 50 then run Sexy Wolfenstein
IF ERRORLEVEL 50 GOTO SWOLF

REM if the code is 45 then run Chessmaster 3000
IF ERRORLEVEL 45 GOTO CM3000

REM if the code is 40 then run Galactix
IF ERRORLEVEL 40 GOTO GALACTIX

REM if the code is 35 then run 8-Ball Deluxe
IF ERRORLEVEL 35 GOTO 8BALL

REM if the code is 30 then run Scout
IF ERRORLEVEL 30 GOTO SCOUT

REM if the code is 25 then run GL-View
IF ERRORLEVEL 25 GOTO GLVIEW

REM if the code is 20 then run Spear Of Destiny
IF ERRORLEVEL 20 GOTO SPEAR

REM if the code is 15 then run Tristan
IF ERRORLEVEL 15 GOTO TRISTAN

REM if the code is 10 then run Wolfenstein 3-D
IF ERRORLEVEL 10 GOTO WOLF3D

REM if the code is 5 then run X-Wing
IF ERRORLEVEL 5 GOTO XWING

REM if the errorlevel code is none of the above then just exit to DOS
GOTO END

:SWOLF
REM run Sexy Wolfenstein
CD\SWOLF
REM Debugmode=[CTRL-TAB-ENTER]
SWOLF.EXE -NEXT
ECHO 
PAUSE
REM now call this batch file to start the cycle again
CD\
C:\WINDOWS\WINDOWS.BAT

:DINOSAUR
REM run Dinosaur
CD\DINO
CALL DINO.BAT
REM now call this batch file to start the cycle again
CD\
C:\WINDOWS\WINDOWS.BAT

:MUSICIAN
REM run Musician
CD\MUSICIAN
CALL START.BAT
REM now call this batch file to start the cycle again
CD\
C:\WINDOWS\WINDOWS.BAT

:8BALL
REM run 8-Ball Deluxe
CD\8BALLDLX
8BALLDLX.EXE
REM now call this batch file to start the cycle again
CD\
C:\WINDOWS\WINDOWS.BAT

:CM3000
REM run Chessmaster 3000
CD\CM3000
CM3000.COM
REM now call this batch file to start the cycle again
CD\
C:\WINDOWS\WINDOWS.BAT

:GALACTIX
REM run Galactix
CD\GALACTIX
GX1.EXE
REM now call this batch file to start the cycle again
CD\
C:\WINDOWS\WINDOWS.BAT

:SCOUT
REM run Scout
CD\SCOUT
SCOUT.EXE
REM now call this batch file to start the cycle again
CD\
C:\WINDOWS\WINDOWS.BAT

:TRISTAN
REM run Tristan
CD\TRISTAN
TRIST16.EXE
REM now call this batch file to start the cycle again
CD\
C:\WINDOWS\WINDOWS.BAT

:SPEAR
REM run Spear Of Destiny
CD\SPEAR
REM Debugmode=[ALT-SHIFT-BACKSPACE]
SPEAR.EXE -DEBUGMODE
REM now call this batch file to start the cycle again
CD\
C:\WINDOWS\WINDOWS.BAT

:GLVIEW
REM run GL-View
CD\GRAPHICS
GV.EXE
REM now call this batch file to start the cycle again
CD\
C:\WINDOWS\WINDOWS.BAT

:WOLF3D
REM run Wolfenstein 3-D
CD\WOLF3D
REM Debugmode=[ALT-SHIFT-BACKSPACE]
WOLF3D.EXE -GOOBERS
REM now call this batch file to start the cycle again
CD\
C:\WINDOWS\WINDOWS.BAT

:XWING
REM run X-Wing
REM C:\GRAPHICS\PCXDUMP.EXE /ON /DIR=C:\GRAPHICS\PCX\
C:\GRAPHICS\ST.EXE /OUTPUT:PCX C:\GRAPHICS\PCX
CD\XWING
XWING.EXE
C:\GRAPHICS\ST.EXE /UNLOAD
REM C:\GRAPHICS\PCXDUMP.EXE /OFF
REM now call this batch file to start the cycle again
CD\
C:\WINDOWS\WINDOWS.BAT

REM jumping to this point just dumps the user back to DOS
:END

CD C:\
VER
